GIMP User Manual
Prev |  | Next

# Appendix B. Command Line Options

# GIMP

When you launch GIMP, it will often be from a graphical menu where you simply click on the GIMP entry. This usually launches GIMP in its default form without any images loaded. If you launch GIMP from a console, or edit the command used to launch it from the menu, you can pass several options to it. These are in the format: gimp [options ... ] [files ... ]

GIMP Options

-h, --help

  Displays a list of available options, and gives a terse description of each one.

-v, --version

  Prints the version number of the installed GIMP.

-b, --batch <commands>

  Runs GIMP in batch (non-interactive) mode. Can someone explain how this works please!!

-g, --gimprc <gimprc>

  Use an alternative `gimprc` (GIMP settings file) instead of the default which is usually located at `~/gimp-1.2/gimprc`. This is useful where plug-in paths or machine specifications may be different.

-n, --no-interface

  Run without a user interface.

-r, --restore-session

  Attempt to restore a saved session. This will start GIMP with the various dialogs as they were in the saved state.

--no-data

  Start GIMP without loading patterns, gradients, palettes and brushes. This significantly reduces the startup time, and is often useful when using GIMP in non-interactive situations.

--verbose

  Prints startup messages to the console, showing all the settings files which are parsed and the modules loaded. This is often useful in debugging situations.

--no-splash

  Do not show the splash screen. This significantly decreases the load time, although you will not see the progress bar from the splash screen. This automatically implies --verbose.

--no-splash-image

  Do not show the splash screen image as part of the splash screen. Only shows text information in the splash screen. The progress indicator is still visible. This decreases GIMP's load time.

--no-shm

  Do not use shared memory between GIMP and its plug-ins. Instead of using shared memory, GIMP will send data via pipe. This will result in slower performance than using shared memory.

--no-xshm

  Do not use the X Shared Memory extension. If GIMP is being displayed on a remote X server, this probably needs to be enabled. It is also useful for any X server that doesn't properly support the X shared memory extension. This will result in slower performance than with X shared memory enabled.

--display <display>

  Use the specified X display.

--console-messages

  Do not pop-up dialog boxes on errors or warning, print them to the console instead.

--debug-handlers

  Enable debug handlers which turns on the stack trace prompt for all signals, not just fatal ones.

--system-gimprc <gimprc>

  Use an alternate system-wide gimprc file.

Prev | Home | Next
Keyboard Shortcuts |  | GIMP Tool